org.springframework.batch.core.explore.support

## Class AbstractJobExplorerFactoryBean

- java.lang.Object
- - org.springframework.batch.core.explore.support.AbstractJobExplorerFactoryBean

- All Implemented Interfaces:
    org.springframework.beans.factory.FactoryBean<JobExplorer>
  Direct Known Subclasses:
    JobExplorerFactoryBean, MapJobExplorerFactoryBean

      public abstract class AbstractJobExplorerFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean<JobExplorer>

  A `FactoryBean` that automates the creation of a `SimpleJobExplorer`. Declares abstract methods for providing DAO object implementations.
  Since:
    2.0
  Author:
    Dave Syer
  See Also:
    `JobExplorerFactoryBean`, `MapJobExplorerFactoryBean`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractJobExplorerFactoryBean()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract ExecutionContextDao` | `createExecutionContextDao()`
    `protected abstract JobExecutionDao` | `createJobExecutionDao()`
    `protected abstract JobInstanceDao` | `createJobInstanceDao()`
    `protected abstract StepExecutionDao` | `createStepExecutionDao()`
    `java.lang.Class<JobExplorer>` | `getObjectType()` The type of object to be returned from `FactoryBean.getObject()`.
    `boolean` | `isSingleton()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.beans.factory.FactoryBean

      `getObject`

- - ### Constructor Detail

    - #### AbstractJobExplorerFactoryBean

          public AbstractJobExplorerFactoryBean()

  - ### Method Detail

    - #### createJobInstanceDao

          protected abstract JobInstanceDao createJobInstanceDao()
                                                          throws java.lang.Exception

      Returns:
        fully configured `JobInstanceDao` implementation.
      Throws:
        `java.lang.Exception`

    - #### createJobExecutionDao

          protected abstract JobExecutionDao createJobExecutionDao()
                                                            throws java.lang.Exception

      Returns:
        fully configured `JobExecutionDao` implementation.
      Throws:
        `java.lang.Exception`

    - #### createStepExecutionDao

          protected abstract StepExecutionDao createStepExecutionDao()
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### createExecutionContextDao

          protected abstract ExecutionContextDao createExecutionContextDao()
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getObjectType

          public java.lang.Class<JobExplorer> getObjectType()

      The type of object to be returned from `FactoryBean.getObject()`.
      Specified by:
        `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<JobExplorer>`
      Returns:
        JobExplorer.class
      See Also:
        `FactoryBean.getObjectType()`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<JobExplorer>`